package org.netkernel.layer0.meta.impl;

import java.net.URI;

import org.netkernel.layer0.boot.IModule;
import org.netkernel.layer0.meta.IModuleMeta;

public class DefaultModuleMeta extends MetaRepresentationImpl implements IModuleMeta
{
	private final URI mSource;
	
	public DefaultModuleMeta(IModule aModule)
	{	super(getName(aModule),null,null,null);
		mSource=aModule.getSource();
	}
	
	private static String getName(IModule aModule)
	{	String name=aModule.getSource().toString();
		int i=name.lastIndexOf('/',name.length()-2);
		if (i>=0)
		{	if (name.lastIndexOf('/')!=i)
			{	name=name.substring(i+1,name.length()-1);
			}
			else
			{	name=name.substring(i+1);
			}
		}
		return name;
	}

	public URI getSource()
	{	return mSource;
	}

	public String getVersion()
	{	return null;
	}
	
	public String getIdentifier()
	{	return null; 		
	}
	
}