package org.netkernel.layer0.nkf.impl;

import org.netkernel.container.IKernel;
import org.netkernel.container.ILogger;
import org.netkernel.layer0.nkf.NKFException;
import org.netkernel.layer0.util.Utils;
import org.netkernel.request.IRequest;
import org.netkernel.request.IResponse;
import org.netkernel.urii.ISpace;


/** Context used in the commissioning of transports. It only allows async sub-requests so as no not block the startup of a transport
 * @author Tony Butterfield
 *
 */
public class NKFTransportInitContextImpl extends NKFContextImpl
{
	public NKFTransportInitContextImpl(IKernel aKernel, ISpace aSpace, Object aTransport)
	{	super(aKernel,aSpace,null,aTransport,null);
	}
	
	public IResponse issueKernelRequest(IRequest aRequest) throws NKFException
	{	throw createNKFE("EX_NKF_TRANSPORT_INIT_SYNC","MSG_NKF_TRANSPORT_INIT_SYNC",getEndpoint().toString(),aRequest.toString());
	}
	
	public void handleAsyncException(Exception aException)
	{	getKernel().getLogger().log(ILogger.WARNING, getEndpoint(), "MSG_NKF_UNHANDLED_ASYNC", getEndpoint(), Utils.throwableToString(aException) );
	}
	
}
