package org.netkernel.layer0.urii;

import java.io.File;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URL;

import org.netkernel.layer0.util.Utils;

public class ClassLoaderResourceExistence
{
	protected URL mURL;
	protected File mFile;
	
	public ClassLoaderResourceExistence(String aPath, ClassLoader aClassLoader) throws MalformedURLException
	{
		if (aPath.charAt(0)=='/')
		{	aPath = aPath.substring(1);
		}
		mURL = aClassLoader.getResource(aPath);
		if (mURL!=null)
		{	if (mURL.getProtocol().equals("file"))
			{	mFile = new File(URI.create(mURL.toString()));
				if (mFile.isDirectory())
				{	mURL=null;
				}
			}
			else
			{	String url=mURL.toString();
				String unescaped = Utils.decode(url);
				mURL=new URL(unescaped);
			}
		}
	}
	
	public File getFile()
	{	return mFile;
	}
	
	public URL getURL()
	{	return mURL;
	}
	
	public String toString()
	{	return (mFile!=null)?mFile.toString():mURL.toString();
	}
}